%define name contacts
%define version 0.12
%define release %mkrel 1
#%define __libtoolize /bin/true

Summary: Small, lightweight addressbook
Summary(de): Kleines und leichtes Adressbuch
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://pimlico-project.org/sources/contacts/%{name}-%{version}.tar.xz
Patch0:    01_contacts-fi-error-in-callback.patch
License:   GPL
Group:     Graphical desktop/GNOME
URL:       http://pimlico-project.org/contacts.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: evolution-data-server-devel
BuildRequires: gtk+2-devel
BuildRequires: desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
Contacts is a small, lightweight addressbook that uses libebook, part of EDS.
This is the same library that GNOME Evolution uses, so all contact data that
exists in your Evolution addressbook is accessible via Contacts.

%description -l de
Contacts ist ein kleines, leichtes Adressbuch, dass libebook, ein Teil
der EDS, nutzt. Die gleiche Bibliothek,verwendet auch das Programm GNOME
Evolution, dadurch sind alle Daten von Evolution auch unter Contacs zu
erreichen/einsehbar.

%prep
%setup -q
%patch0 -p0

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --remove-category="ContactManagement" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%define schemas %name


%pre
rm -rf %_datadir/icons/hicolor/.icon-theme.cache

%post
%update_icon_cache hicolor
%update_menus
%post_install_gconf_schemas %{schemas}


%preun
%preun_uninstall_gconf_schemas %{schemas}


%postun
%clean_icon_cache hicolor
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_mandir/man1/*
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/apps/*.svg
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/*


%changelog
* Mon Oct 11 2010 Texstar <texstar at gmail.com> 0.12-1pclos2010
- 0.12

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 0.11-4pclos2010
- rebuild

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 0.11-3pclos2010
- rebuild against updated evolution-data-server

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.11-2pclos2010
- rebuild

* Tue Nov 10 2009 slick50 <lxgator@gmail.com> 0.11-1pclos2010
- 0.11

* Wed Jun 10 2009 slick50 <lxgator@gmail.com> 0.10-1pclos2009
- initial build


